Integration
We provide an API that allows you to integrate with Documents Intelligence.
We have the following environments:
| Environment | URL |
|---|---|
| Production | https://di.lab.epam.com |
| Staging | https://staging.dev.di.lab.epam.com |
Note: Documents Intelligence API is available only in EPAM internal network.
API
Create a Chat
Create a chat for a user. It returns a full URL to the chat and a chat object.
Request:
POST /api/chats
Authorization: Bearer <token>
Content-Type: application/json
{
"content": {
"text": "What experience do we have with AppSync?"
},
"email": "<epam email>"
}Response:
{
"url": "https://di.lab.epam.com/search/<chat id>",
"chat": {
"chatId": "<chat id>",
"title": "AWS AppSync Experience" // title is generated by LLM based on the content
// ...
}
}Trigger Entity Loading
Trigger a loading workflow for a specific entity across different data sources. This API processes and indexes documents for the specified entity, making them available for search and chat functionality.
Request:
POST /api/{tenant}/public/load
Authorization: Bearer <token>
Content-Type: application/json
{
"opportunityId": "A90DE6E3-214D-F011-85BB-6045BDF26179",
"settings": {
"create": true,
"update": true,
"recreate": false
}
}Response:
{
"entityId": "<uuid>"
}Supported Tenant Types And Parameters
For now, this API supports only the presales tenant. If you think you need to have an ability to trigger entity loading for other tenants, please contact us at [email protected].
Settings (optional)
create: Create new entities if they don’t exist (default: true)update: Update existing entities with new data (default: true)recreate: Completely recreate entities, removing existing data (default: false)
Mind that update updates attributes only and does not run the loading and processing pipelines. Only create and recreate will run the AI pipeline.
Examples
Loading a Presales Opportunity:
POST /api/presales/public/load
Authorization: Bearer <token>
Content-Type: application/json
{
"opportunityId": "A90DE6E3-214D-F011-85BB-6045BDF26179",
"settings": {
"create": true,
"recreate": true
}
}Authentication
For authentication, please exchange your OAuth token for our OAuth service token before making a request.
See our client IDs below:
| Environment | OAuth token | Access Environment |
|---|---|---|
| Production | oauth-client.epm-prgm.di.service-integration.prod | https://access.epam.com |
| Staging | oauth-client.epm-prgm.di.service-integration.stage | https://access-staging.epam.com |
You can read more about token exchange process here Token Exchange .